%define upstream_name    Pod-Weaver-Section-Consumes
%define upstream_version 0.010

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Add a list of roles to your POD
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Elemental::Element::Nested)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Command)
BuildRequires: perl(Pod::Weaver::Role::Section)
BuildRequires: perl(aliased)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This the Pod::Weaver manpage section plugin creates a "CONSUMES" section in
your POD which will contain a list of all the roles consumed by your class.
It accomplishes this by attempting to compile your class and interrogating
its metaclass object.

Classes which do not have a 'meta' method will be skipped.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.10.0-10.mga10
+ Revision: 2207933
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.10.0-9.mga9
+ Revision: 1817346
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-8.mga8
+ Revision: 1496805
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-7.mga7
+ Revision: 1270797
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-6.mga6
+ Revision: 1032348
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.10.0-5.mga6
+ Revision: 932159
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 739581
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.10.0-2.mga4
+ Revision: 532590
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 sander85 <sander85> 0.10.0-1.mga4
+ Revision: 468826
- update to 0.010

* Wed May 29 2013 shlomif <shlomif> 0.8.0-1.mga4
+ Revision: 432388
- New version 0.08

* Sun Jan 13 2013 umeabot <umeabot> 0.7.0-3.mga3
+ Revision: 372065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 shlomif <shlomif> 0.7.0-2.mga3
+ Revision: 252422
- License fix
- imported package perl-Pod-Weaver-Section-Consumes


* Tue Apr 10 2012 cpan2dist 0.007-1mga
- initial mageia release, generated with cpan2dist
